require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

carlos = {
"Acceder al Tutorial",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

local bienvenidaMensaje = [[¿Te gustaría aprender a desbloquear el potencial de tu dispositivo Android 14, 13 12 y 11? Con nuestra solución innovadora, podrás acceder y manipular archivos en las carpetas de Data y obb. ¡Optimiza tu experiencia Android ahora mismo! Descubre cómo liberar todo su potencial. Haz clic en el siguiente botón para acceder al tutorial.]]
layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
text = "Desbloquea tu Android 14, 13 12 y 11: Acceso Total a las Carpetas Data y obb sin Restricciones",    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    TextView,
    text = bienvenidaMensaje,
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    LinearLayout, -- Contenedor para los botones
    orientation = LinearLayout.VERTICAL,
    layout_width = "fill",
    layout_height = "fill",
    {
      GridView,
      id = "grid",
      numColumns = 1,
      layout_width = "fill",
      layout_height = "0dp",
      layout_weight = 1, -- Utiliza todo el espacio disponible
    },
    {
      Button,
      text = "Volver",
      onClick = function(view)
        dlg.dismiss()
        vibrator.vibrate(100)
      end,
      layout_width = "wrap_content",
      gravity = 5,
    },
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(carlos))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

if v.text == carlos[1] then
openLink("https://youtu.be/t_bsnOCRzjs?si=e1idB-sQ6endLHnZ")
      return true
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end